#from __future__ import unicode_literals
# -*- coding: utf-8 -*-

class Objet():
    """objets tels qu'ils apparaissent dans l'inventaire"""
    def __init__(self, nom = "Objet", poids = 0, valeur = 0, \
                 monnaie = "", description = "", typeObjet = "autre", \
                 estConsommable = False, actionObjet = ActionObjet())):

        self.id = nouvelId("objet")
        self.nom = nom
        self.poids = poids    #unite depend des regles, kg par defaut
        self.valeur = valeur  
        self.monnaie = monnaie   #type de monnaie issue des regles, ou au choix
        self.description = description
        self.typeObjet = typeObjet    #arme, consommable, defense, butin, monnaie, autre...
        self.estConsommable = estConsommable
        self.estConsomme = False
        self.action = actionObjet

    def utiliser(self):
        """l'objet est utilise, il renvoie son action"""
        self.action.executer()
        if self.estConsommable:
            self.estConsomme = True


        
